//Application Window Component Constructor
function ApplicationWindow() {
	
	//Admob 
	var Admob = require("ti.admob");
	
	var adMobView = Admob.createView({
		publisherId:"a15076746c53fa8",
		testing:false, // default is false
		top: 0, //optional
		//left: 0, // optional
		right: 0, // optional
		//bottom: 0, // optional
		height:50,
		width:'100%',
		zIndex:99999,
		adBackgroundColor:"DADADA", // optional
		backgroundColorTop: "DADADA", //optional - Gradient background color at top
		borderColor: "#DADADA", // optional - Border color
		textColor: "#E5BF31", // optional - Text color
		urlColor: "#E5BF31", // optional - URL color
		linkColor: "#E5BF31" //optional -  Link text color
		//primaryTextColor: "blue", // deprecated -- now maps to textColor
		//secondaryTextColor: "green" // deprecated -- now maps to linkColor

		});
	
	//create component instance
	var self = Ti.UI.createWindow({
		backgroundColor:'#ffffff',
		exitOnClose:true,
		navBarHidden:true
	});
	
	var HomeView = require('ui/common/HomeView');
	
	var homeView = new HomeView();
	
	homeView.addEventListener('startgame',function(e){
		var gameWindow = Titanium.UI.createWindow({
			navBarHidden:true
		});
		
		var GameView = require('ui/handheld/android/GameWindow');		
		var gameView = new GameView(0);
		
		/*gameView.addEventListener('returntohome',function(e){
			gameWindow.close();
		});*/
		
		gameView.addEventListener('showad',function(e){
			gameView.add(adMobView);
		});
		
		gameView.addEventListener('removead',function(e){
			gameView.remove(adMobView);
		});
		
		gameWindow.add(gameView);
		gameWindow.open();
	});
	
	homeView.addEventListener('showalphagrid',function(e){
		var alphaGrid = Titanium.UI.createWindow({
			navBarHidden:true
		});
		
		var AlphaGridView = require('ui/common/AlphaGridView');		
		var alphaGridView = new AlphaGridView();
		
		alphaGridView.addEventListener('startselectedgame',function(e){
			var gameWindow = Titanium.UI.createWindow({
				navBarHidden:true
			});
			
			var GameView = require('ui/handheld/android/GameWindow');		
			var gameView = new GameView(e.index);
			
			gameView.addEventListener('showad',function(e){
				gameView.add(adMobView);
			});
			
			gameView.addEventListener('removead',function(e){
				gameView.remove(adMobView);
			});
			
			gameWindow.add(gameView);
			gameWindow.open();
		});
		
		alphaGrid.add(alphaGridView);
		alphaGrid.open();
	});
	
	homeView.addEventListener('shareinfb',function(e){

		var win = Titanium.UI.createWindow({
			navBarHidden:true
		});
		var webview = Titanium.UI.createWebView({
			url: 'http://www.facebook.com/sgcsoft'
		});
		win.add(webview);
		win.open();


	});
		
	self.add(homeView);
	
	return self;
}

//make constructor function the public component interface
module.exports = ApplicationWindow;
