function AlphaGridView(){
	
	var self = Ti.UI.createScrollView({
		contentWidth:'auto',
        contentHeight:'auto',
        layout:'vertical',
        showVerticalScrollIndicator:true,
        showHorizontalScrollIndicator:true,
        backgroundImage:Ti.Filesystem.resourcesDirectory + 'images/bg.jpg'
	});
	
	for(var i=0; i<11; i++){
		if(i%4==0){
			var wrapperView = Ti.UI.createView({
				layout:'horizontal',
				height:parseInt(Ti.Platform.displayCaps.platformHeight/3)-8
			});
		}
		
		var path = Ti.Filesystem.resourcesDirectory + 'images/'+i+'_bg.jpg';
		var imageView = Ti.UI.createImageView({
			index:i,
			//width:68,
			//height:46,
			width: parseInt(Ti.Platform.displayCaps.platformWidth/4-15),
			height:'70%',
			top:15,
			left:11,
			image:path
		});
		
		imageView.addEventListener('click',function(e){
			self.fireEvent('startselectedgame',{
				index:e.source.index
			});
		});
		
		wrapperView.add(imageView);
		
		if(i == 4 || i%4 == 0 || i == 10){
			self.add(wrapperView);
		}
	}
	
	return self;

}

module.exports = AlphaGridView;