//FirstView Component Constructor
function HomeView() {
	//create object instance, a parasitic subclass of Observable
	var self = Ti.UI.createView({
		layout:'horizontal',
		backgroundImage:Ti.Filesystem.resourcesDirectory + 'images/homescreen.jpg'
	});
	
	//label using localization-ready strings from <app dir>/i18n/en/strings.xml
	var playButton = Ti.UI.createButton({
		color:'#000000',
		title:'',
		height:'20%',
		width:'90%',
		top:'12%',
		backgroundImage:Ti.Filesystem.resourcesDirectory + 'images/blue.png',
		backgroundSelectedImage:Ti.Filesystem.resourcesDirectory + 'images/blue-select.png'
	});
	
	var selectButton = Ti.UI.createButton({
		color:'#000000',
		title:'',
		height:'20%',
		width:'90%',
		top:'8%',
		backgroundImage:Ti.Filesystem.resourcesDirectory + 'images/green.png',
		backgroundSelectedImage:Ti.Filesystem.resourcesDirectory + 'images/green-select.png'
	});
	/*var getmoreButton = Ti.UI.createButton({
		color:'#000000',
		title:'',
		height:'20%',
		width:'90%',
		top:'4%',
		backgroundImage:Ti.Filesystem.resourcesDirectory + 'images/yellow.png',
		backgroundSelectedImage:Ti.Filesystem.resourcesDirectory + 'images/yellow-select.png'
	});*/
	
	var shareButton = Ti.UI.createButton({
		color:'#000000',
		title:'',
		height:'20%',
		width:'90%',
		top:'8%',
		borderRadius:5,
		backgroundImage:Ti.Filesystem.resourcesDirectory + 'images/fblike.png'
	});
	
	var menuContainer = Titanium.UI.createView({
		layout:'vertical',
		width:'40%',
		height:'100%',
		top:'0px',
		right:'0px',
		backgroundColor:'transparent'
	});
	
	menuContainer.add(playButton);
	menuContainer.add(selectButton);
	//menuContainer.add(getmoreButton);
	menuContainer.add(shareButton);
	
	
	var imageArt = new Titanium.UI.createView({
		width:'60%',
		height:'100%',
		left:'0px',
		top:'0px',
		backgroundColor:'transparent'
	});
	
	
	self.add(imageArt);
	self.add(menuContainer);
	
	//Add behavior for UI
	playButton.addEventListener('click', function(e) {
		self.fireEvent('startgame',{});
	});
	
	selectButton.addEventListener('click',function(e){
		self.fireEvent('showalphagrid',{});
	});
	
	shareButton.addEventListener('click',function(e){
		self.fireEvent('shareinfb',{});
	});
	
	return self;
}

module.exports = HomeView;
